Bug 523725 - setroubleshoot: SELinux is preventing /usr/sbin/tmpwatch "write" access on dri2proto.
Summary: setroubleshoot: SELinux is preventing /usr/sbin/tmpwatch "write" access on dr...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:2539897f915...
: 523726 523727 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 14:32 UTC by STEVEN WARD
Modified: 2009-10-20 21:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-20 21:04:20 UTC


Attachments (Terms of Use)

Description STEVEN WARD 2009-09-16 14:32:02 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/sbin/tmpwatch "write" access on dri2proto.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by tmpwatch. It is not expected that this access
is required by tmpwatch and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:tmpreaper_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:usr_t:s0
Target Objects                dri2proto [ dir ]
Source                        tmpwatch
Source Path                   /usr/sbin/tmpwatch
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           tmpwatch-2.9.15-2
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.31-3.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31-rc8 #1 SMP Sat Sep 12
                              23:19:48 BST 2009 i686 athlon
Alert Count                   6
First Seen                    Sun 13 Sep 2009 06:37:51 PM BST
Last Seen                     Sun 13 Sep 2009 06:37:51 PM BST
Local ID                      37875f00-8d2a-4e66-8417-66582b481223
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1252863471.575:44): avc:  denied  { write } for  pid=4173 comm="tmpwatch" name="dri2proto" dev=dm-0 ino=90158 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252863471.575:44): avc:  denied  { remove_name } for  pid=4173 comm="tmpwatch" name="autogen.sh" dev=dm-0 ino=40419 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1252863471.575:44): avc:  denied  { unlink } for  pid=4173 comm="tmpwatch" name="autogen.sh" dev=dm-0 ino=40419 scontext=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:usr_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1252863471.575:44): arch=40000003 syscall=10 success=yes exit=0 a0=9b7181b a1=9b71150 a2=9b7181b a3=bfd0fc48 items=0 ppid=4171 pid=4173 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="tmpwatch" exe="/usr/sbin/tmpwatch" subj=system_u:system_r:tmpreaper_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= tmpreaper_t ==============
allow tmpreaper_t usr_t:dir { write remove_name };
allow tmpreaper_t usr_t:file unlink;

Comment 1 Daniel Walsh 2009-09-16 15:59:33 UTC
This looks wrong.  Did you move dri2proto directory to /tmp?

Comment 2 Daniel Walsh 2009-09-16 16:00:10 UTC
*** Bug 523726 has been marked as a duplicate of this bug. ***

Comment 3 Daniel Walsh 2009-09-16 16:00:26 UTC
*** Bug 523727 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.